from setuptools import setup, find_packages

setup(
    name='azdatalakefacade',
    version='1.0.3',
    description='A package to implement a singleton for azure data storage gen2',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    author='Alan Medina',
    author_email='amedina.escom@hotmail.com',
    url='https://github.com/amedinag32/azdatalakefacade',
    packages=find_packages(),
    classifiers=[
        'Programming Language :: Python :: 3',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
    ],
    python_requires='>=3.8',
    install_requires=[
        "azure-core==1.32.0",
        "azure-data-tables==12.6.0",
        "azure-identity==1.19.0",
        "azure-storage-blob==12.24.1",
        "azure-storage-file-datalake==12.18.1",
        "azure-storage-queue==12.12.0",
        "certifi==2024.12.14",
        "cffi==1.17.1",
        "charset-normalizer==3.4.0",
        "cryptography==44.0.0",
        "greenlet==3.1.1",
        "idna==3.10",
        "isodate==0.7.2",
        "msal==1.31.1",
        "msal-extensions==1.2.0",
        "multidict==6.1.0",
        "numpy==1.24.4",
        "pandas==2.0.3",
        "pandasql==0.7.3",
        "portalocker==2.10.1",
        "propcache==0.2.0",
        "pycparser==2.22",
        "PyJWT==2.9.0",
        "python-dateutil==2.9.0.post0",
        "pytz==2024.2",
        "requests==2.32.3",
        "six==1.17.0",
        "SQLAlchemy==2.0.37",
        "typing-extensions==4.12.2",
        "tzdata==2024.2",
        "urllib3==2.2.3",
        "yarl==1.15.2",
    ],
)
